bugreport

Issues with installing under all Linux Distributions

bugreport

Postby bartoldenhof » Thu Feb 28, 2008 4:20 pm

Welcome beginner. Please answer all of the questions below which may provide information necessary to answer your question.
-----------------------------------------------------------------------------------------------------------
Which version of OpenOffice.org are you using? openoffice.org-2.3.0-6.11.fc8
What Operating System (version) are you using? Fedora 8
What is your question or comment? I have a bug report

Someone please do something with this. A good way to report bugs is lacking as far as i am concerned, and if there is a proper way it's too well hidden.
I know most people will consider this spam, but i wanted to share it anyway. Have fun.

Summary
SELinux is preventing /usr/lib/openoffice.org/program/scalc.bin from changing the access protection of memory on the heap.

Detailed Description
The /usr/lib/openoffice.org/program/scalc.bin application attempted to change the access protection of memory on the heap (e.g., allocated using malloc). This is a potential security problem. Applications should not be doing this. Applications are sometimes coded incorrectly and request this permission. The SELinux Memory Protection Tests web page explains how to remove this requirement. If /usr/lib/openoffice.org/program/scalc.bin does not work and you need it to work, you can configure SELinux temporarily to allow this access until the application is fixed. Please file a bug report against this package.

Allowing Access
If you want /usr/lib/openoffice.org/program/scalc.bin to continue, you must turn on the allow_execheap boolean. Note: This boolean will affect all applications on the system.The following command will allow this access:
Code: Select all   Expand viewCollapse view
setsebool -P allow_execheap=1


Additional Information
Source Context: system_u:system_r:unconfined_t:s0-s0:c0.c1023Target Context: system_u:system_r:unconfined_t:s0-s0:c0.c1023
Target Objects: None [ process ]
Affected RPM Packages: openoffice.org-calc-2.3.0-6.11.fc8 [application]
Policy RPM: selinux-policy-3.0.8-84.fc8
Selinux Enabled: True
Policy Type: targeted
MLS Enabled: True
Enforcing Mode: Enforcing
Plugin Name: plugins.allow_execheap
Host Name: localhost.localdomain
Platform: Linux localhost.localdomain 2.6.23.15-137.fc8 #1 SMP Sun Feb 10 17:48:34 EST 2008 i686 athlon
Alert Count: 1
First Seen: Thu 28 Feb 2008 02:55:49 PM CET
Last Seen: Thu 28 Feb 2008 02:55:49 PM CET
Local ID: 14961afd-2647-4dce-bf29-c65f26d202ad
Line Numbers:

Raw Audit Messages :
avc: denied { execheap } for comm=scalc.bin egid=500 euid=500 exe=/usr/lib/openoffice.org/program/scalc.bin exit=-13 fsgid=500 fsuid=500 gid=500 items=0 pid=24320 scontext=system_u:system_r:unconfined_t:s0-s0:c0.c1023 sgid=500 subj=system_u:system_r:unconfined_t:s0-s0:c0.c1023 suid=500 tclass=process tcontext=system_u:system_r:unconfined_t:s0-s0:c0.c1023 tty=(none) uid=500
bartoldenhof
 
Posts: 1
Joined: Thu Feb 28, 2008 4:03 pm

Re: bugreport

Postby Villeroy » Thu Feb 28, 2008 5:05 pm

Someone please do something with this. A good way to report bugs is lacking as far as i am concerned, and if there is a proper way it's too well hidden.

[Tutorial] Reporting bugs
or via http://www.openoffice.org/ > Contribute > Quality Assurance

And then there is that Survival Guide where you can read among other things that this forum is a user-to-user forum.

Your version of OOo seems to have some problem with the operating system. Since your office is a special built created by fedora developers, I would even draw the conclusion that your problem has nothing to do with OpenOffice.org and you should file an issue to the fedora developers first.
You may uninstall the whole suite and try the latest version of the original rpms, packaged by Sun http://download.openoffice.org/
It would not be the first time that severe problems could be resolved by installing the real one.
Please, edit this topic's initial post and add "[Solved]" to the subject line if your problem has been solved.
Ubuntu 12.04, Apache OpenOffice 4.x
User avatar
Villeroy
Volunteer
 
Posts: 17320
Joined: Mon Oct 08, 2007 1:35 am
Location: Germany

Re: bugreport

Postby acknak » Thu Feb 28, 2008 6:35 pm

There's no need to report anything: it's already reported, and already fixed.

The problem is not Fedora's; the Fedora devs have fixed this many months ago, and the Fedora-packaged OOo does not have this problem. The patches have only recently been integrated by OO.org in the released code. The current snapshot builds no longer have this problem (at least for me; other reports disagree, so I'm not 100% sure it's finished).

See Issue 80816: OOo cannot start if SELinux is active
AOO 4 • Linux • Fedora 17
User avatar
acknak
Moderator
 
Posts: 17424
Joined: Mon Oct 08, 2007 1:25 am
Location: USA:NJ:E3

Re: bugreport

Postby Villeroy » Thu Feb 28, 2008 6:56 pm

acknak,
Thank you for clarification. All this is out of my personal scope. Fortunately some of the leading forces here have a broad overview across several components, compilations and platforms.
Please, edit this topic's initial post and add "[Solved]" to the subject line if your problem has been solved.
Ubuntu 12.04, Apache OpenOffice 4.x
User avatar
Villeroy
Volunteer
 
Posts: 17320
Joined: Mon Oct 08, 2007 1:35 am
Location: Germany

Re: bugreport

Postby acknak » Thu Feb 28, 2008 8:38 pm

Well, this is really outside my scope as well ;-) I should know better than to pretend that I know anything.

E.g., looking at the messages quoted by the OP, it seems that the source of the problem is a Fedora package (openoffice.org-calc-2.3.0-6.11.fc8), and this is actually a different error than I've seen before. The SELinux fault I've run into running the OO.org packages under Fedora affects one specific library: libvclplug_gen680li.so, where the poster here has a problem affecting scalc.bin.

I am running that same package on Fedora 8, with no problem, so perhaps it has been resolved by an update.

Here are the SELinux packages I have installed:
$ rpm -qa | grep selinux
libselinux-python-2.0.43-1.fc8
selinux-policy-targeted-3.0.8-84.fc8
libselinux-devel-2.0.43-1.fc8
selinux-policy-devel-3.0.8-84.fc8
selinux-policy-3.0.8-84.fc8
libselinux-2.0.43-1.fc8

At any rate, if you can't resolve it through an update, a report should be filed at bugzilla.redhat.com, as well as with OO,org as Villeroy already mentioned. If you do file with both, you should include the cross-referencing issue numbers.
AOO 4 • Linux • Fedora 17
User avatar
acknak
Moderator
 
Posts: 17424
Joined: Mon Oct 08, 2007 1:25 am
Location: USA:NJ:E3


Return to Linux

Who is online

Users browsing this forum: No registered users and 0 guests